Package tigase.conf

## Interface Configurable

- All Superinterfaces:
    `ServerComponent`
  All Known Implementing Classes:
    `AbstractComponent`, `AbstractComponentRegistrator`, `AbstractKernelBasedComponent`, `AbstractMessageReceiver`, `AmpComponent`, `AmpComponentClustered`, `BasicComponent`, `BoshConnectionClustered`, `BoshConnectionManager`, `ClientConnectionClustered`, `ClientConnectionManager`, `ClusterConnectionManager`, `ClusterController`, `ComponentConnectionManager`, `ComponentProtocol`, `ComponentProtocolManager`, `Configurator`, `ConfiguratorAbstract`, `ConfiguratorOld`, `ConnectionManager`, `EchoComponent`, `EventBusComponent`, `EventBusComponent`, `ExternalServiceDiscoveryComponent`, `MessageRouter`, `MonitorComponent`, `MonitorComponent`, `S2SConnectionManager`, `SessionManager`, `SessionManagerClustered`, `StatisticsCollector`, `TestComponent`, `VHostManager`, `VirtualComponent`, `WebSocketClientConnectionClustered`, `WebSocketClientConnectionManager`, `WorkgroupQueuesComponent`, `XMPPServiceCollector`

      public interface Configurable
      extends ServerComponent

  Interface Configurable
  Objects inheriting this interface can be configured. In Tigase system object can't request configuration properties. Configuration of the object is passed to it at some time. Actually it can be passed at any time. This allows dynamic system reconfiguration at runtime.
  Created: Tue Nov 22 07:07:11 2005
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ADMINS_PROP_KEY` | Deprecated.
    `static java.lang.String` | `AMP_CLASS_NAME` | Deprecated.
    `static java.lang.String` | `AMP_CLUST_CLASS_NAME` | Deprecated.
    `static java.lang.String` | `AUTH_DOMAIN_POOL_CLASS` | Deprecated. moved to RepositoryFactory
    `static java.lang.String` | `AUTH_REPO_DOMAINS_PROP_KEY` | Deprecated. moved to RepositoryFactory
    `static java.lang.String` | `AUTH_REPO_PARAMS_NODE` | Deprecated. moved to RepositoryFactory
    `static java.lang.String` | `AUTH_REPO_POOL_CLASS` | Deprecated. moved to RepositoryFactory
    `static java.lang.String` | `AUTH_REPO_URL_PROP_KEY` | Deprecated. moved to RepositoryFactory
    `static java.lang.String` | `BOSH_CLUST_COMP_CLASS_NAME` | Deprecated.
    `static java.lang.String` | `BOSH_COMP_CLASS_NAME` | Deprecated.
    `static java.lang.String` | `C2S_CLUST_COMP_CLASS_NAME` | Deprecated.
    `static java.lang.String` | `C2S_COMP_CLASS_NAME` | Deprecated.
    `static java.lang.String` | `CL_COMP_CLASS_NAME` | Deprecated.
    `static java.lang.String` | `CLUSTER_CONECT` | Deprecated.
    `static java.lang.String` | `CLUSTER_CONTR_CLASS_NAME` | Deprecated.
    `static java.lang.String` | `CLUSTER_LISTEN` | Deprecated.
    `static java.lang.String` | `CLUSTER_MODE` | Deprecated.
    `static java.lang.String` | `CLUSTER_NODES` | Deprecated.
    `static java.lang.String` | `CLUSTER_NODES_PROP_KEY` | Deprecated.
    `static java.lang.String` | `COMP_PROT_CLASS_NAME` | Deprecated.
    `static java.lang.String` | `COMPONENT_ID_PROP_KEY` |
    `static java.lang.String` | `DEF_AMP_NAME` | Deprecated.
    `static java.lang.String` | `DEF_BOSH_NAME` | Deprecated.
    `static java.lang.String` | `DEF_C2S_NAME` | Deprecated.
    `static java.lang.String` | `DEF_CL_COMP_NAME` | Deprecated.
    `static java.lang.String` | `DEF_CLUST_CONTR_NAME` | Deprecated.
    `static java.lang.String` | `DEF_COMP_PROT_NAME` | Deprecated.
    `static java.lang.String` | `DEF_EVENTBUS_NAME` | Deprecated.
    `static java.lang.String` | `DEF_EXT_COMP_NAME` | Deprecated.
    `static java.lang.String` | `DEF_HOSTNAME_PROP_KEY` | Deprecated.
    `static java.lang.String` | `DEF_MONITOR_NAME` | Deprecated.
    `static java.lang.String` | `DEF_S2S_NAME` | Deprecated.
    `static java.lang.String` | `DEF_SM_NAME` |
    `static java.lang.String` | `DEF_STATS_NAME` | Deprecated.
    `static java.lang.String` | `DEF_VHOST_MAN_NAME` | Deprecated.
    `static java.lang.String` | `DEF_WS2S_NAME` | Deprecated.
    `static java.lang.String` | `DERBY_REPO_CLASS_PROP_VAL` | Deprecated. moved to RepositoryFactory
    `static java.lang.String` | `DERBY_REPO_URL_PROP_VAL` | Deprecated. moved to RepositoryFactory
    `static java.lang.String` | `DRUPAL_REPO_URL_PROP_VAL` | Deprecated. moved to RepositoryFactory
    `static java.lang.String` | `DRUPALWP_REPO_CLASS_PROP_VAL` | Deprecated. moved to RepositoryFactory
    `static java.lang.String` | `DUMMY_REPO_CLASS_PROP_VAL` | Deprecated. moved to RepositoryFactory
    `static java.lang.String` | `EVENTBUS_CLASS_NAME` | Deprecated.
    `static java.lang.String` | `EXT_COMP_CLASS_NAME` | Deprecated.
    `static java.lang.String` | `GEN_ADMINS` | Deprecated.
    `static java.lang.String` | `GEN_AUTH_DB` | Deprecated. moved to RepositoryFactory
    `static java.lang.String` | `GEN_AUTH_DB_URI` | Deprecated. moved to RepositoryFactory
    `static java.lang.String` | `GEN_COMP_CLASS` | Deprecated.
    `static java.lang.String` | `GEN_COMP_NAME` | Deprecated.
    `static java.lang.String` | `GEN_CONF` | Deprecated.
    `static java.lang.String` | `GEN_CONFIG` | Deprecated.
    `static java.lang.String` | `GEN_CONFIG_ALL` | Deprecated.
    `static java.lang.String` | `GEN_CONFIG_COMP` | Deprecated.
    `static java.lang.String` | `GEN_CONFIG_CS` | Deprecated.
    `static java.lang.String` | `GEN_CONFIG_DEF` | Deprecated.
    `static java.lang.String` | `GEN_CONFIG_SM` | Deprecated.
    `static java.lang.String` | `GEN_DEBUG` | Deprecated.
    `static java.lang.String` | `GEN_DEBUG_PACKAGES` | Deprecated.
    `static java.lang.String` | `GEN_EXT_COMP` | Deprecated.
    `static java.lang.String` | `GEN_MAX_QUEUE_SIZE` | Deprecated.
    `static java.lang.String` | `GEN_SCRIPT_DIR` | Deprecated.
    `static java.lang.String` | `GEN_SM_PLUGINS` | Deprecated.
    `static java.lang.String` | `GEN_SREC_ADMINS` | Deprecated.
    `static java.lang.String` | `GEN_SREC_DB` | Deprecated.
    `static java.lang.String` | `GEN_SREC_DB_URI` | Deprecated.
    `static java.lang.String` | `GEN_TEST` | Deprecated.
    `static java.lang.String` | `GEN_TRUSTED` | Deprecated.
    `static java.lang.String` | `GEN_USER_DB` | Deprecated. moved to RepositoryFactory
    `static java.lang.String` | `GEN_USER_DB_URI` | Deprecated. moved to RepositoryFactory
    `static java.lang.String` | `GEN_USER_DB_URI_PROP_KEY` | Deprecated. moved to RepositoryFactory
    `static java.lang.String` | `GEN_VIRT_HOSTS` | Deprecated.
    `static java.lang.String` | `HOSTNAMES_PROP_KEY` |
    `static java.lang.String` | `LIBRESOURCE_REPO_CLASS_PROP_VAL` | Deprecated. moved to RepositoryFactory
    `static java.lang.String` | `LIBRESOURCE_REPO_URL_PROP_VAL` | Deprecated. moved to RepositoryFactory
    `static java.lang.String` | `MONITOR_CLASS_NAME` | Deprecated.
    `static java.lang.String` | `MONITOR_CLUST_CLASS_NAME` | Deprecated.
    `static java.lang.String` | `MONITORING` | Deprecated.
    `static java.lang.String` | `MYSQL_REPO_CLASS_PROP_VAL` | Deprecated. moved to RepositoryFactory
    `static java.lang.String` | `MYSQL_REPO_URL_PROP_VAL` | Deprecated. moved to RepositoryFactory
    `static java.lang.String` | `PGSQL_REPO_CLASS_PROP_VAL` | Deprecated. moved to RepositoryFactory
    `static java.lang.String` | `PGSQL_REPO_URL_PROP_VAL` | Deprecated. moved to RepositoryFactory
    `static java.lang.String` | `ROUTER_COMP_CLASS_NAME` |
    `static java.lang.String` | `S2S_CLUST_COMP_CLASS_NAME` | Deprecated.
    `static java.lang.String` | `S2S_COMP_CLASS_NAME` | Deprecated.
    `static java.lang.String` | `SHARED_AUTH_REPO_PARAMS_PROP_KEY` | Deprecated. moved to RepositoryFactory
    `static java.lang.String` | `SHARED_AUTH_REPO_PROP_KEY` | Deprecated.
    `static java.lang.String` | `SHARED_USER_REPO_PARAMS_PROP_KEY` | Deprecated. moved to RepositoryFactory
    `static java.lang.String` | `SHARED_USER_REPO_PROP_KEY` | Deprecated. moved to RepositoryFactory
    `static java.lang.String` | `SM_CLUST_COMP_CLASS_NAME` | Deprecated.
    `static java.lang.String` | `SM_COMP_CLASS_NAME` | Deprecated.
    `static java.lang.String` | `STANZA_WHITE_CHAR_ACK` |
    `static java.lang.String` | `STANZA_XMPP_ACK` |
    `static java.lang.String` | `STATS_CLASS_NAME` | Deprecated.
    `static java.lang.String` | `STRINGPREP_PROCESSOR` |
    `static java.lang.String` | `TIGASE_AUTH_REPO_CLASS_PROP_VAL` | Deprecated. moved to RepositoryFactory
    `static java.lang.String` | `TIGASE_AUTH_REPO_URL_PROP_VAL` | Deprecated. moved to RepositoryFactory
    `static java.lang.String` | `TIGASE_CUSTOM_AUTH_REPO_CLASS_PROP_VAL` | Deprecated. moved to RepositoryFactory
    `static java.lang.String` | `TRUSTED_PROP_KEY` |
    `static java.lang.String` | `USER_DOMAIN_POOL_CLASS` | Deprecated. moved to RepositoryFactory
    `static java.lang.String` | `USER_REPO_DOMAINS_PROP_KEY` | Deprecated. moved to RepositoryFactory
    `static java.lang.String` | `USER_REPO_PARAMS_NODE` | Deprecated. moved to RepositoryFactory
    `static java.lang.String` | `USER_REPO_POOL_CLASS` | Deprecated. moved to RepositoryFactory
    `static java.lang.String` | `USER_REPO_POOL_SIZE` | Deprecated. moved to RepositoryFactory
    `static java.lang.String` | `USER_REPO_POOL_SIZE_PROP_KEY` | Deprecated. moved to RepositoryFactory
    `static java.lang.String` | `USER_REPO_URL_PROP_KEY` | Deprecated. moved to RepositoryFactory
    `static java.lang.String` | `VHOST_MAN_CLASS_NAME` | Deprecated.
    `static java.lang.String` | `VHOST_MAN_CLUST_CLASS_NAME` | Deprecated.
    `static java.lang.String` | `WS2S_CLASS_NAME` | Deprecated.
    `static java.lang.String` | `WS2S_CLUST_CLASS_NAME` | Deprecated.
    `static java.lang.String` | `XML_REPO_CLASS_PROP_VAL` | Deprecated. moved to RepositoryFactory
    `static java.lang.String` | `XML_REPO_URL_PROP_VAL` | Deprecated. moved to RepositoryFactory
    `static java.lang.String` | `XMPP_STANZA_ACK` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Map<java.lang.String,​java.lang.Object>` | `getDefaults​(java.util.Map<java.lang.String,​java.lang.Object> params)` | Deprecated.
    `void` | `setProperties​(java.util.Map<java.lang.String,​java.lang.Object> properties)` | Deprecated.

    - ### Methods inherited from interface tigase.server.ServerComponent

      `getComponentId, getComponentInfo, getName, initializationCompleted, isInitializationComplete, processPacket, release, setName`

- - ### Field Detail

    - #### ADMINS_PROP_KEY

          @Deprecated
          static final java.lang.String ADMINS_PROP_KEY

      Deprecated.
      See Also:
        Constant Field Values

    - #### AMP_CLASS_NAME

          @Deprecated
          static final java.lang.String AMP_CLASS_NAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### AMP_CLUST_CLASS_NAME

          @Deprecated
          static final java.lang.String AMP_CLUST_CLASS_NAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### BOSH_CLUST_COMP_CLASS_NAME

          @Deprecated
          static final java.lang.String BOSH_CLUST_COMP_CLASS_NAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### BOSH_COMP_CLASS_NAME

          @Deprecated
          static final java.lang.String BOSH_COMP_CLASS_NAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### C2S_CLUST_COMP_CLASS_NAME

          @Deprecated
          static final java.lang.String C2S_CLUST_COMP_CLASS_NAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### C2S_COMP_CLASS_NAME

          @Deprecated
          static final java.lang.String C2S_COMP_CLASS_NAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### CL_COMP_CLASS_NAME

          @Deprecated
          static final java.lang.String CL_COMP_CLASS_NAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### CLUSTER_CONECT

          @Deprecated
          static final java.lang.String CLUSTER_CONECT

      Deprecated.
      See Also:
        Constant Field Values

    - #### CLUSTER_CONTR_CLASS_NAME

          @Deprecated
          static final java.lang.String CLUSTER_CONTR_CLASS_NAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### CLUSTER_LISTEN

          @Deprecated
          static final java.lang.String CLUSTER_LISTEN

      Deprecated.
      See Also:
        Constant Field Values

    - #### CLUSTER_MODE

          @Deprecated
          static final java.lang.String CLUSTER_MODE

      Deprecated.
      Constant `CLUSTER_MODE` sets the cluster mode to either `true` or `false`. By default cluster mode is set to `false`.
      See Also:
        Constant Field Values

    - #### CLUSTER_NODES

          @Deprecated
          static final java.lang.String CLUSTER_NODES

      Deprecated.
      Constant `CLUSTER_NODES` is for setting list of cluster nodes the instance should try to connect to.
      See Also:
        Constant Field Values

    - #### CLUSTER_NODES_PROP_KEY

          @Deprecated
          static final java.lang.String CLUSTER_NODES_PROP_KEY

      Deprecated.
      See Also:
        Constant Field Values

    - #### COMP_PROT_CLASS_NAME

          @Deprecated
          static final java.lang.String COMP_PROT_CLASS_NAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### COMPONENT_ID_PROP_KEY

          static final java.lang.String COMPONENT_ID_PROP_KEY

      See Also:
        Constant Field Values

    - #### DEF_AMP_NAME

          @Deprecated
          static final java.lang.String DEF_AMP_NAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### DEF_BOSH_NAME

          @Deprecated
          static final java.lang.String DEF_BOSH_NAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### DEF_C2S_NAME

          @Deprecated
          static final java.lang.String DEF_C2S_NAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### DEF_CL_COMP_NAME

          @Deprecated
          static final java.lang.String DEF_CL_COMP_NAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### DEF_CLUST_CONTR_NAME

          @Deprecated
          static final java.lang.String DEF_CLUST_CONTR_NAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### DEF_COMP_PROT_NAME

          @Deprecated
          static final java.lang.String DEF_COMP_PROT_NAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### DEF_EVENTBUS_NAME

          @Deprecated
          static final java.lang.String DEF_EVENTBUS_NAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### DEF_EXT_COMP_NAME

          @Deprecated
          static final java.lang.String DEF_EXT_COMP_NAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### DEF_HOSTNAME_PROP_KEY

          @Deprecated
          static final java.lang.String DEF_HOSTNAME_PROP_KEY

      Deprecated.
      See Also:
        Constant Field Values

    - #### DEF_MONITOR_NAME

          @Deprecated
          static final java.lang.String DEF_MONITOR_NAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### DEF_S2S_NAME

          @Deprecated
          static final java.lang.String DEF_S2S_NAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### DEF_SM_NAME

          static final java.lang.String DEF_SM_NAME

      See Also:
        Constant Field Values

    - #### DEF_STATS_NAME

          @Deprecated
          static final java.lang.String DEF_STATS_NAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### DEF_VHOST_MAN_NAME

          @Deprecated
          static final java.lang.String DEF_VHOST_MAN_NAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### DEF_WS2S_NAME

          @Deprecated
          static final java.lang.String DEF_WS2S_NAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### EVENTBUS_CLASS_NAME

          @Deprecated
          static final java.lang.String EVENTBUS_CLASS_NAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### EXT_COMP_CLASS_NAME

          @Deprecated
          static final java.lang.String EXT_COMP_CLASS_NAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### GEN_ADMINS

          @Deprecated
          static final java.lang.String GEN_ADMINS

      Deprecated.
      See Also:
        Constant Field Values

    - #### GEN_COMP_CLASS

          @Deprecated
          static final java.lang.String GEN_COMP_CLASS

      Deprecated.
      See Also:
        Constant Field Values

    - #### GEN_COMP_NAME

          @Deprecated
          static final java.lang.String GEN_COMP_NAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### GEN_CONF

          @Deprecated
          static final java.lang.String GEN_CONF

      Deprecated.
      See Also:
        Constant Field Values

    - #### GEN_CONFIG

          @Deprecated
          static final java.lang.String GEN_CONFIG

      Deprecated.
      Constant `GEN_CONFIG` keeps the string with which all configuration types starts.
      See Also:
        Constant Field Values

    - #### GEN_CONFIG_ALL

          @Deprecated
          static final java.lang.String GEN_CONFIG_ALL

      Deprecated.
      Constant `GEN_CONFIG_ALL` keeps parameter name for configuration with all available components loaded directly to the server.
      See Also:
        Constant Field Values

    - #### GEN_CONFIG_SM

          @Deprecated
          static final java.lang.String GEN_CONFIG_SM

      Deprecated.
      Constant `GEN_CONFIG_SM` keeps parameter name for configuration with SessionManager loaded and XEP-0114 component preconfigured to connect to server instance with ClientConnectionManager.
      See Also:
        Constant Field Values

    - #### GEN_CONFIG_DEF

          @Deprecated
          static final java.lang.String GEN_CONFIG_DEF

      Deprecated.
      Constant `GEN_CONFIG_DEF` keeps parameter name for the most typical configuration: SessionManager, ClientConnectionManager and S2SConnectionManager loaded.
      See Also:
        Constant Field Values

    - #### GEN_CONFIG_CS

          @Deprecated
          static final java.lang.String GEN_CONFIG_CS

      Deprecated.
      Constant `GEN_CONFIG_CS` keeps parameter name for configuration with ClientConnectionManager loaded and XEP-0114 component preconfigured to connect to server instance with SessionManager loaded.
      See Also:
        Constant Field Values

    - #### GEN_CONFIG_COMP

          @Deprecated
          static final java.lang.String GEN_CONFIG_COMP

      Deprecated.
      Constant `GEN_CONFIG_COMP` keeps parameter name for configuration with a single (given as an extra parameter) component and XEP-0114 or XEP-0225 component loaded and preconfigured to connect to other Jabber/XMPP server instance (either Tigase or any different server).
      See Also:
        Constant Field Values

    - #### GEN_DEBUG

          @Deprecated
          static final java.lang.String GEN_DEBUG

      Deprecated.
      See Also:
        Constant Field Values

    - #### GEN_DEBUG_PACKAGES

          @Deprecated
          static final java.lang.String GEN_DEBUG_PACKAGES

      Deprecated.
      See Also:
        Constant Field Values

    - #### GEN_EXT_COMP

          @Deprecated
          static final java.lang.String GEN_EXT_COMP

      Deprecated.
      See Also:
        Constant Field Values

    - #### GEN_MAX_QUEUE_SIZE

          @Deprecated
          static final java.lang.String GEN_MAX_QUEUE_SIZE

      Deprecated.
      See Also:
        Constant Field Values

    - #### GEN_SCRIPT_DIR

          @Deprecated
          static final java.lang.String GEN_SCRIPT_DIR

      Deprecated.
      See Also:
        Constant Field Values

    - #### GEN_SM_PLUGINS

          @Deprecated
          static final java.lang.String GEN_SM_PLUGINS

      Deprecated.
      See Also:
        Constant Field Values

    - #### GEN_SREC_ADMINS

          @Deprecated
          static final java.lang.String GEN_SREC_ADMINS

      Deprecated.
      See Also:
        Constant Field Values

    - #### GEN_SREC_DB

          @Deprecated
          static final java.lang.String GEN_SREC_DB

      Deprecated.
      See Also:
        Constant Field Values

    - #### GEN_SREC_DB_URI

          @Deprecated
          static final java.lang.String GEN_SREC_DB_URI

      Deprecated.
      See Also:
        Constant Field Values

    - #### GEN_TEST

          @Deprecated
          static final java.lang.String GEN_TEST

      Deprecated.
      See Also:
        Constant Field Values

    - #### GEN_TRUSTED

          @Deprecated
          static final java.lang.String GEN_TRUSTED

      Deprecated.
      See Also:
        Constant Field Values

    - #### GEN_USER_DB

          @Deprecated
          static final java.lang.String GEN_USER_DB

      Deprecated.
      moved to RepositoryFactory
      See Also:
        Constant Field Values

    - #### GEN_VIRT_HOSTS

          @Deprecated
          static final java.lang.String GEN_VIRT_HOSTS

      Deprecated.
      See Also:
        Constant Field Values

    - #### HOSTNAMES_PROP_KEY

          static final java.lang.String HOSTNAMES_PROP_KEY

      See Also:
        Constant Field Values

    - #### MONITOR_CLASS_NAME

          @Deprecated
          static final java.lang.String MONITOR_CLASS_NAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### MONITOR_CLUST_CLASS_NAME

          @Deprecated
          static final java.lang.String MONITOR_CLUST_CLASS_NAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### MONITORING

          @Deprecated
          static final java.lang.String MONITORING

      Deprecated.
      See Also:
        Constant Field Values

    - #### ROUTER_COMP_CLASS_NAME

          static final java.lang.String ROUTER_COMP_CLASS_NAME

      See Also:
        Constant Field Values

    - #### S2S_CLUST_COMP_CLASS_NAME

          @Deprecated
          static final java.lang.String S2S_CLUST_COMP_CLASS_NAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### S2S_COMP_CLASS_NAME

          @Deprecated
          static final java.lang.String S2S_COMP_CLASS_NAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### SM_CLUST_COMP_CLASS_NAME

          @Deprecated
          static final java.lang.String SM_CLUST_COMP_CLASS_NAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### SM_COMP_CLASS_NAME

          @Deprecated
          static final java.lang.String SM_COMP_CLASS_NAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### STANZA_WHITE_CHAR_ACK

          static final java.lang.String STANZA_WHITE_CHAR_ACK

      See Also:
        Constant Field Values

    - #### STANZA_XMPP_ACK

          static final java.lang.String STANZA_XMPP_ACK

      See Also:
        Constant Field Values

    - #### STATS_CLASS_NAME

          @Deprecated
          static final java.lang.String STATS_CLASS_NAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### STRINGPREP_PROCESSOR

          static final java.lang.String STRINGPREP_PROCESSOR

      See Also:
        Constant Field Values

    - #### TRUSTED_PROP_KEY

          static final java.lang.String TRUSTED_PROP_KEY

      See Also:
        Constant Field Values

    - #### USER_REPO_POOL_CLASS

          @Deprecated
          static final java.lang.String USER_REPO_POOL_CLASS

      Deprecated.
      moved to RepositoryFactory
      See Also:
        Constant Field Values

    - #### USER_DOMAIN_POOL_CLASS

          @Deprecated
          static final java.lang.String USER_DOMAIN_POOL_CLASS

      Deprecated.
      moved to RepositoryFactory
      See Also:
        Constant Field Values

    - #### GEN_USER_DB_URI_PROP_KEY

          @Deprecated
          static final java.lang.String GEN_USER_DB_URI_PROP_KEY

      Deprecated.
      moved to RepositoryFactory
      See Also:
        Constant Field Values

    - #### GEN_USER_DB_URI

          @Deprecated
          static final java.lang.String GEN_USER_DB_URI

      Deprecated.
      moved to RepositoryFactory
      See Also:
        Constant Field Values

    - #### GEN_AUTH_DB_URI

          @Deprecated
          static final java.lang.String GEN_AUTH_DB_URI

      Deprecated.
      moved to RepositoryFactory
      See Also:
        Constant Field Values

    - #### GEN_AUTH_DB

          @Deprecated
          static final java.lang.String GEN_AUTH_DB

      Deprecated.
      moved to RepositoryFactory
      See Also:
        Constant Field Values

    - #### AUTH_REPO_POOL_CLASS

          @Deprecated
          static final java.lang.String AUTH_REPO_POOL_CLASS

      Deprecated.
      moved to RepositoryFactory
      See Also:
        Constant Field Values

    - #### AUTH_DOMAIN_POOL_CLASS

          @Deprecated
          static final java.lang.String AUTH_DOMAIN_POOL_CLASS

      Deprecated.
      moved to RepositoryFactory
      See Also:
        Constant Field Values

    - #### USER_REPO_POOL_SIZE

          @Deprecated
          static final java.lang.String USER_REPO_POOL_SIZE

      Deprecated.
      moved to RepositoryFactory
      See Also:
        Constant Field Values

    - #### VHOST_MAN_CLASS_NAME

          @Deprecated
          static final java.lang.String VHOST_MAN_CLASS_NAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### VHOST_MAN_CLUST_CLASS_NAME

          @Deprecated
          static final java.lang.String VHOST_MAN_CLUST_CLASS_NAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### WS2S_CLASS_NAME

          @Deprecated
          static final java.lang.String WS2S_CLASS_NAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### WS2S_CLUST_CLASS_NAME

          @Deprecated
          static final java.lang.String WS2S_CLUST_CLASS_NAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### XMPP_STANZA_ACK

          @Deprecated
          static final java.lang.String XMPP_STANZA_ACK

      Deprecated.
      See Also:
        Constant Field Values

    - #### XML_REPO_URL_PROP_VAL

          @Deprecated
          static final java.lang.String XML_REPO_URL_PROP_VAL

      Deprecated.
      moved to RepositoryFactory
      See Also:
        Constant Field Values

    - #### XML_REPO_CLASS_PROP_VAL

          @Deprecated
          static final java.lang.String XML_REPO_CLASS_PROP_VAL

      Deprecated.
      moved to RepositoryFactory
      See Also:
        Constant Field Values

    - #### USER_REPO_URL_PROP_KEY

          @Deprecated
          static final java.lang.String USER_REPO_URL_PROP_KEY

      Deprecated.
      moved to RepositoryFactory
      See Also:
        Constant Field Values

    - #### USER_REPO_POOL_SIZE_PROP_KEY

          @Deprecated
          static final java.lang.String USER_REPO_POOL_SIZE_PROP_KEY

      Deprecated.
      moved to RepositoryFactory
      See Also:
        Constant Field Values

    - #### USER_REPO_PARAMS_NODE

          @Deprecated
          static final java.lang.String USER_REPO_PARAMS_NODE

      Deprecated.
      moved to RepositoryFactory
      See Also:
        Constant Field Values

    - #### USER_REPO_DOMAINS_PROP_KEY

          @Deprecated
          static final java.lang.String USER_REPO_DOMAINS_PROP_KEY

      Deprecated.
      moved to RepositoryFactory
      See Also:
        Constant Field Values

    - #### TIGASE_CUSTOM_AUTH_REPO_CLASS_PROP_VAL

          @Deprecated
          static final java.lang.String TIGASE_CUSTOM_AUTH_REPO_CLASS_PROP_VAL

      Deprecated.
      moved to RepositoryFactory
      See Also:
        Constant Field Values

    - #### TIGASE_AUTH_REPO_URL_PROP_VAL

          @Deprecated
          static final java.lang.String TIGASE_AUTH_REPO_URL_PROP_VAL

      Deprecated.
      moved to RepositoryFactory
      See Also:
        Constant Field Values

    - #### TIGASE_AUTH_REPO_CLASS_PROP_VAL

          @Deprecated
          static final java.lang.String TIGASE_AUTH_REPO_CLASS_PROP_VAL

      Deprecated.
      moved to RepositoryFactory
      See Also:
        Constant Field Values

    - #### SHARED_USER_REPO_PROP_KEY

          @Deprecated
          static final java.lang.String SHARED_USER_REPO_PROP_KEY

      Deprecated.
      moved to RepositoryFactory
      See Also:
        Constant Field Values

    - #### SHARED_USER_REPO_PARAMS_PROP_KEY

          @Deprecated
          static final java.lang.String SHARED_USER_REPO_PARAMS_PROP_KEY

      Deprecated.
      moved to RepositoryFactory
      See Also:
        Constant Field Values

    - #### SHARED_AUTH_REPO_PROP_KEY

          @Deprecated
          static final java.lang.String SHARED_AUTH_REPO_PROP_KEY

      Deprecated.
      See Also:
        Constant Field Values

    - #### SHARED_AUTH_REPO_PARAMS_PROP_KEY

          @Deprecated
          static final java.lang.String SHARED_AUTH_REPO_PARAMS_PROP_KEY

      Deprecated.
      moved to RepositoryFactory
      See Also:
        Constant Field Values

    - #### PGSQL_REPO_URL_PROP_VAL

          @Deprecated
          static final java.lang.String PGSQL_REPO_URL_PROP_VAL

      Deprecated.
      moved to RepositoryFactory
      See Also:
        Constant Field Values

    - #### PGSQL_REPO_CLASS_PROP_VAL

          @Deprecated
          static final java.lang.String PGSQL_REPO_CLASS_PROP_VAL

      Deprecated.
      moved to RepositoryFactory
      See Also:
        Constant Field Values

    - #### MYSQL_REPO_URL_PROP_VAL

          @Deprecated
          static final java.lang.String MYSQL_REPO_URL_PROP_VAL

      Deprecated.
      moved to RepositoryFactory
      See Also:
        Constant Field Values

    - #### MYSQL_REPO_CLASS_PROP_VAL

          @Deprecated
          static final java.lang.String MYSQL_REPO_CLASS_PROP_VAL

      Deprecated.
      moved to RepositoryFactory
      See Also:
        Constant Field Values

    - #### LIBRESOURCE_REPO_URL_PROP_VAL

          @Deprecated
          static final java.lang.String LIBRESOURCE_REPO_URL_PROP_VAL

      Deprecated.
      moved to RepositoryFactory
      See Also:
        Constant Field Values

    - #### LIBRESOURCE_REPO_CLASS_PROP_VAL

          @Deprecated
          static final java.lang.String LIBRESOURCE_REPO_CLASS_PROP_VAL

      Deprecated.
      moved to RepositoryFactory
      See Also:
        Constant Field Values

    - #### DUMMY_REPO_CLASS_PROP_VAL

          @Deprecated
          static final java.lang.String DUMMY_REPO_CLASS_PROP_VAL

      Deprecated.
      moved to RepositoryFactory
      See Also:
        Constant Field Values

    - #### DRUPALWP_REPO_CLASS_PROP_VAL

          @Deprecated
          static final java.lang.String DRUPALWP_REPO_CLASS_PROP_VAL

      Deprecated.
      moved to RepositoryFactory
      See Also:
        Constant Field Values

    - #### DRUPAL_REPO_URL_PROP_VAL

          @Deprecated
          static final java.lang.String DRUPAL_REPO_URL_PROP_VAL

      Deprecated.
      moved to RepositoryFactory
      See Also:
        Constant Field Values

    - #### DERBY_REPO_URL_PROP_VAL

          @Deprecated
          static final java.lang.String DERBY_REPO_URL_PROP_VAL

      Deprecated.
      moved to RepositoryFactory
      See Also:
        Constant Field Values

    - #### DERBY_REPO_CLASS_PROP_VAL

          @Deprecated
          static final java.lang.String DERBY_REPO_CLASS_PROP_VAL

      Deprecated.
      moved to RepositoryFactory
      See Also:
        Constant Field Values

    - #### AUTH_REPO_URL_PROP_KEY

          @Deprecated
          static final java.lang.String AUTH_REPO_URL_PROP_KEY

      Deprecated.
      moved to RepositoryFactory
      See Also:
        Constant Field Values

    - #### AUTH_REPO_PARAMS_NODE

          @Deprecated
          static final java.lang.String AUTH_REPO_PARAMS_NODE

      Deprecated.
      moved to RepositoryFactory
      See Also:
        Constant Field Values

    - #### AUTH_REPO_DOMAINS_PROP_KEY

          @Deprecated
          static final java.lang.String AUTH_REPO_DOMAINS_PROP_KEY

      Deprecated.
      moved to RepositoryFactory
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDefaults

          @Deprecated
          java.util.Map<java.lang.String,​java.lang.Object> getDefaults​(java.util.Map<java.lang.String,​java.lang.Object> params)

      Deprecated.
      Returns default configuration settings for the component as a `Map` with keys as configuration property IDs and values as the configuration property values. All the default parameters returned from this method are later passed to the `setProperties(...)` method. Some of them may have changed value if they have been overwritten in the server configuration. The configuration property value can be of any of the basic types: `int`, `long`, `boolean`, `String`.
      Parameters:
        `params` - is a `Map` with some initial properties set for the starting up server. These parameters can be used as a hints to generate component's default configuration.
      Returns:
        a `Map` with the component default configuration.

    - #### setProperties

          @Deprecated
          void setProperties​(java.util.Map<java.lang.String,​java.lang.Object> properties)
                      throws ConfigurationException

      Deprecated.
      Sets all configuration properties for the object.
      Parameters:
        `properties` - `Map` with the configuration
      Throws:
        `ConfigurationException` - - if setting configuration will fail which will make it unable to work